
xx=linspace(-4,6,60);
yd=2*xx+4*sin(xx)+randn(size(xx));
A=[xx',yd',0.6+0.6*rand(size(xx'))];
save('pruefung1.dat','A','-ASCII');

errorbar(A(:,1),A(:,2),A(:,3),'+');

M=[A(:,1),sin(A(:,1))];

para=M\A(:,2);

y=inline('alpha*x+beta*sin(x)','x','alpha','beta');

x0=min(A(:,1));
x1=max(A(:,1));
disp(['Minimum der x-Werte: ',num2str(x0)]);
disp(['Maximum der x-Werte: ',num2str(x1)]);

xx=linspace(x0-1,x1+1,60);

yy=y(xx,para(1),para(2));

hold on
plot (xx,yy,'r')
hold off

disp([' gefittete Parameter: alpha = ',num2str(para(1)),...
      ' und beta = ',num2str(para(2))])

axis([x0-1.2 x1+1.2 -inf inf])
