% Skript normalfit.m
%
% Autor: Winfried Koller
% Datum: 22. Juni 2001

N=input (' Geben Sie die Zahl der Zufallszahlen ein : ');
if isempty(N), N=1000;end;
N=floor(N);

if N<50, N=50; end
if N>1e+6, N=1e+6; end

v=randn(N,1);
hist(v,25);

[y,x]=hist(v,25);

p=inline('b(1)*exp(-b(2)*(x-b(3)).^2)','b','x')

hold on
plot (x,y,'r','LineWidth',2);

A=max(y);
alpha=1;
x0=0.2;

b0=[A,alpha,x0];
b=nlinfit(x,y,p,b0);

disp([' Zentrum x0 der Verteilung ',num2str(b(3))]);
disp([' Parameter alpha der Verteilung ',num2str(b(2))]);
disp([' Parameter A der Verteilung ',num2str(b(1))]);
xx=linspace(-5,5);
yy=p(b,xx);
plot (xx,yy,'y','LineWidth',4);
hold off
