% Einfhrung in die Verarbeitung von Strings (Zeichenketten) 
% Einige einfache Beispiele
%
% Autor: Winfried Kernbichler    21.11.1999
echo off; clc;
disp('Einfhrung in die Verarbeitung von Strings (Zeichenketten)');
disp('Autor: Winfried Kernbichler');
disp(' ');

% Definition von Zeichenketten
str1 = 'abcdef'; % Die Variable str1 ist nun eine String Variable
str2 = '123456';
disp(['str1 = ',str1,'   ;   ','str2 = ',str2]); % Stellt Variablen am Schirm da
% und von numerischen Variablen
x = 1:6;
disp(['x    = ',num2str(x)]);
disp(' ');

% Einige Einfache Operationen
disp('Strings sind Arrays von Buchstaben - Character Arrays .');
disp('Man kann daher viele Array-Operationen auf sie anwenden.');
disp(' ');
disp('Zum Beispiel: Teile ausschneiden oder zusammenhngen');
disp(' ');
str3 = str1(4:end); % Ausschneiden
disp(['Auschneiden:    str1(4:end)             = ',str3]);
str4 = [str1(1:3),str2(4:end)]; % Zusammenhngen
disp(['Zusammenhngen: [str1(1:3),str2(4:end)] = ',str4]);
str5 = [str1;str2]; % Zeilen untereinander
disp(['Zwei Zeilen:    [str1;str2]']);
disp(' ');
disp(str5);

disp(' ');disp('PAUSE');pause;clc;

% Automatisches Erzeugen von Filenamen
disp('Automatisches Erzeugen von Filenamen');
disp(' ');

for ind = 1:9
   stra = num2str(ind);
   strb = ['file_',stra,'.dat'];
   disp(['ind: ',stra,'  ',strb]);
end

disp(' ');disp('PAUSE');pause;clc;

% Abfragen
disp('Abfragen:');disp(' ');
disp(['Variable - str4                              ',str4]);
disp(' ');
res = length(str4);
disp(['Lnge des Arrays:      length(str4)          '  ,num2str(res)]);
res = ischar(str4); 
disp(['Character Array:       ischar(str4)          '  ,num2str(res)]);
res = isletter(str4); 
disp(['Buchstaben in Array:   isletter(str4)        '  ,num2str(res)]);
res = isnumber(str4); 
disp(['Zahlen in Array:       isnumber(str4)        '  ,num2str(res)]);
res = isspace(str4); 
disp(['Leerzeichen in Array:  isspace(str4)         '  ,num2str(res)]);
disp(' ');

res = strcmp(str4,'abc');
disp(['Vergleich von Strings: strcmp(str4,''abc'')    '  ,num2str(res)]);
res = strncmp(str4,'abc',3);
disp(['Vergleich von Teilen:  strncmp(str4,''abc'',3) '  ,num2str(res)]);
res = (str4 == 'c');
disp(['Position von Zeichen:  str4 == ''c''           '  ,num2str(res)]);
res = findstr(str4,'c4');
disp(['Position von Ketten:   findstr(str4,''c4'')    '  ,num2str(res)]);


disp(' ');disp('PAUSE');pause;clc;
disp('DANKE');