function setmyfig(in)
% Setzt Defaults fr Plots
% Input: in   1   Default Werte 1
%             0   Rckkehr zu Matlab Default Werten
if (nargin ~= 1), in = 0; end

switch in
   case 1
      set(0,'DefaultFigurePosition',[80 40 904 648]);     % [176 174 672 504]
      set(0,'DefaultFigureColor',[0.9 0.9 0.9]);          % [0.8 0.8 0.8] - RGB
      set(0,'DefaultFigureMenuBar','none');               % 'none' 'figure'
      set(0,'DefaultFigurePaperOrientation','landscape'); % 'portrait' 'landscape'
      set(0,'DefaultFigurePaperPositionMode','auto');     % 'auto' 'manual'
      set(0,'DefaultFigurePaperType','A4');               % 'A4' 'letter' ...
      
      set(0,'DefaultAxesColor',[1 1 1]);                  % [1 1 1]
      set(0,'DefaultAxesFontSize',14);                    % 12
      set(0,'DefaultAxesFontWeight','normal');            % 'normal' 'bold' 'light' 'demi'
      set(0,'DefaultAxesGridLineStyle',':');              % '-' '--' ':' '-.' 'none' 
      set(0,'DefaultAxesLineWidth',1);                    % 0.5     
   otherwise
      set(0,'DefaultFigurePosition','remove');
      set(0,'DefaultFigureColor',[0.8 0.8 0.8]);
      set(0,'DefaultFigureMenuBar','remove');
      set(0,'DefaultFigurePaperOrientation','remove');
      set(0,'DefaultFigurePaperPositionMode','remove');
      set(0,'DefaultFigurePaperType','remove');
      
      set(0,'DefaultAxesColor',[1 1 1]); 
      set(0,'DefaultAxesFontSize','remove');
      set(0,'DefaultAxesFontWeight','remove'); 
      set(0,'DefaultAxesGridLineStyle','remove'); 
      set(0,'DefaultAxesLineWidth','remove');  
   end
   
% Examples for LineStyleOrder und ColorOrder   
%   
%set(0,'DefaultAxesLineStyleOrder',{'-o',':s','--+'})
%set(0,'DefaultAxesColorOrder',[0.4,0.4,0.4])
%set(0,'DefaultAxesLineStyleOrder','remove')
%set(0,'DefaultAxesColorOrder','remove')

