% Matlab Script File zum Ueben einfacher Befehle
%
% Geometrische Reihe 
%
% Applikationssoftware und Programmierung
% TU Graz SS 2001
% Winfried Kernbichler
%
% input   : Eingabe
% disp    : Dient zur Anzeige
% pause   : Stoppt Ausfuehrung und wartet auf Tastendruck
% ;       : Resultat wird nicht angezeigt
% ' '     : Kennzeichnet Zeichenketten (Strings)
% num2str : Umwandlung von Zahlen in Zeichenkketten
% plot    : Einfache graphische Darstellung
%
% Viel Erfolg, viel Spass! 
% 
% Student(in): 
% Datum:

% Eingabe
n  = input('Anzahl:       ');
a1 = input('Erstes Glied: ');
q  = input('Quotient:     ');

% Vektor der Hochzahlen
nv = 0:n-1;
% Vektor der Elemente
av = a1 * q.^nv;

% Summen
cs = cumsum(av);
s  = cs(end);

% Formel
if (q ~= 1)
    f = a1 * (q^n -1) / (q-1);
else
    f = a1 * n;
end

% Grenzwert
if (abs(q) < 1)
    g = a1 / (1-q);
else
    g = inf;
end

% Ausgabe
dig = 16; % Maximale Anzahl von Stellen
disp(' ');
disp(['Summe:        ',num2str(s,dig)]);
disp(['Formel:       ',num2str(f,dig)]);
disp(['Grenzwert:    ',num2str(g,dig)]);

% Graphische Darstellung
plot(nv,cs)