function [z] = func2d1(x,y)
% Die Funktion func2d1 berechnet z(x,y) = x.^2 + y.^2 
%
% Input:  Vektoren x und y
% Output: Funktion z(x,y)

% Autor:  Winfried Kernbichler
% Datum:  5.11.1999

% meshgrid erzeugt ein Netzgitter in Form zweier Matrizen
[xx,yy] = meshgrid(x,y);

% Ausrechnen der Funktion.
% Beachte dabei die Punkt-Notation (Array Operation). 
z = xx.^2 + yy.^2;

