
% script2
%
% Demo: Extrema suchen und beschriften; Legende erstellen
%
% Autor:           Bernhard Seiwald
% Erstellt, am:    16.11.1999
% Modifiziert, am: 
%
% alle vorherigen Variablen lschen
clear all;
% Ausgabefenster lschen
clf;

% Erstellen des x-Vektors
x  = -7:0.5:6;
% Erstellen des y-Vektors
y1 = 3 - (x + 1).^2;
% Kurve zeichnen
plot(x, y1,'b');
hold on;

% Maximum von y1 finden
[max_y_val, max_y_index] = max(y1);
% zugehrigen x-Wert bestimmen
corresponding_x_val = x(max_y_index);
% roten Kreis um diesen Punkt zeichnen
plot(corresponding_x_val, max_y_val, 'ro');

% Text fr diesen Punkt in my_string ablegen
my_string = sprintf('%g = Maximum', max_y_val);
% Text an entsprechender Position in der Abbildung psitionieren
text(corresponding_x_val, max_y_val+1.5, my_string);

% Legende erstellen
legend('3 - (x + 1).^2', 0);

hold off;

