% script1
%
% Demo: Kegelschnitte als Polarplots
%
% Autor:           Alexander Prll
% Erstellt, am:    28.11.1999
% Modifiziert, am: 
%
% alle vorherigen Variablen lschen
clear all;

%ffnen einer figure
fig=figure;

% Parameter p der Gleichung
p=3;

% Kreis: epsilon=0
eps=0;
subplot(2,2,1);
% Erstellen des phi-Vektors
phi  = linspace(-pi,pi,1000);
% Erstellen der r-Vektoren
r1 = p*ones(size(phi));
% Zeichnen einer Funktion (hier r1)
polar(phi, r1);

% Titel setzen
title('\epsilon = 0: Kreis');

% Text anzeigen
disp('beliebige Taste drcken');
%auf Tastendruck warten
pause

% Ellipse: 0<epsilon<1
eps = 0.5;
subplot(2,2,2);
% Erstellen der r-Vektoren
r2  = p./(1-eps*cos(phi));
% Zeichnen einer Funktion (hier r2)
p2  = polar(phi, r2);

% Titel setzen
title('0<\epsilon<1: Ellispe');

% Text anzeigen
disp('beliebige Taste drcken');
%auf Tastendruck warten
pause

% Parabel: epsilon=1
eps   = 1;
subplot(2,2,3);
% Erstellen der r- und phi-Vektoren
% positive Winkel ungleich 0
phi   = linspace(pi/500,pi,500);
r3a   = p./(1-eps*cos(phi));
% Ausschneiden der positiven nicht zu groen r-Werte
phia  = phi(r3a<40&r3a>0);
r3a   = r3a(r3a<40&r3a>0);
% negative Winkel ungleich 0
phi   = linspace(-pi,-pi/500,500);
r3b   = p./(1-eps*cos(phi));
% Ausschneiden der positiven nicht zu groen r-Werte
phib  = phi(r3b<40&r3b>0);
r3b   = r3b(r3b<40&r3b>0);
% Zeichnen einer Funktionen (hier r3a,r3b)
pl3a  = polar(phia, r3a);
hold on
pl3b  = polar(phib, r3b);
hold off
% Titel setzen
title('\epsilon=1: Parabel');

% Text anzeigen
disp('beliebige Taste drcken');
%auf Tastendruck warten
pause

% Hyperbel: epsilon>1
eps   = 1.2;
subplot(2,2,4);
% Erstellen der r- und phi-Vektoren
% positive Winkel
phi   = linspace(0,pi,500);
r4a   = p./(1-eps*cos(phi));
% Ausschneiden der positiven nicht zu groen r-Werte
phia1 = phi(r4a<40&r4a>0);
r4a1  = r4a(r4a<40&r4a>0);
% Ausschneiden der negativen nicht zu groen r-Werte
phia2 = phi(r4a<0&r4a>-40);
r4a2  = r4a(r4a<0&r4a>-40);
% negative Winkel
phi   = linspace(-pi,0,500);
r4b   = p./(1-eps*cos(phi));
% Ausschneiden der positiven nicht zu groen r-Werte
phib1 = phi(r4b<40&r4b>0);
r4b1  = r4b(r4b<40&r4b>0);
% Ausschneiden der negativen nicht zu groen r-Werte
phib2 = phi(r4b<0&r4b>-40);
r4b2  = r4b(r4b<0&r4b>-40);
% Zeichnen einer Funktionen (hier r4a,r4b)
pl4a1 = polar(phia1, r4a1);
hold on
pl4a2 = polar(phia2, r4a2);
pl4b1 = polar(phib1, r4b1);
pl4b2 = polar(phib2, r4b2);
hold off
% Titel setzen
title('\epsilon>1: Hyperbel');
